%global pypi_name httpcore

Name:           python-%{pypi_name}
Version:        0.14.3
Release:        3%{?dist}
Summary:        Minimal low-level HTTP client

License:        BSD
URL:            https://github.com/encode/httpcore
# pypi source doesn't contain tests
# Source0:        %%{pypi_source %%{pypi_name}}
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
# https://github.com/encode/httpcore/pull/503
Patch:          0001-Relax-h11-dependency.patch
BuildArch:      noarch

%description
The HTTP Core package provides a minimal low-level HTTP client, which does
one thing only: Sending HTTP requests. It does not provide any high level
model abstractions over the API, does not handle redirects, multipart uploads,
building authentication headers, transparent HTTP caching, URL parsing, etc.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Test dependencies:
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(pytest-httpbin)
BuildRequires:  python3dist(pytest-trio)
BuildRequires:  python3dist(h2)
BuildRequires:  python3dist(trustme)

%description -n python3-%{pypi_name}
The HTTP Core package provides a minimal low-level HTTP client, which does
one thing only: Sending HTTP requests. It does not provide any high level
model abstractions over the API, does not handle redirects, multipart uploads,
building authentication headers, transparent HTTP caching, URL parsing, etc.

%prep
%autosetup -n %{pypi_name}-%{version} -p 1
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md

%changelog
* Thu Mar 03 2022 Carl George <carl@george.computer> - 0.14.3-3
- Relax h11 dependency

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 07 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.14.3-1
- Update to latest upstream release 0.14.3 (closes rhbz#2022391)
- Enable tests
- Update spec for latest guideline changes

* Tue Sep 21 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.7-1
- Update to latest upstream release 0.13.7 (closes rhbz#2003602)

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.6-1
- Update to latest upstream release 0.13.6 (rhbz#1952056)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.12.3-2
- Rebuilt for Python 3.10

* Fri Jan 29 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.3-1
- Update to latest upstream release 0.12.2 (#1921813)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.2-1
- Enable dependency generator (#1897850)
- Update to latest upstream release 0.12.2 (#1895584)

* Sun Nov 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.1-1
- Update to latest upstream release 0.12.1 (#1895584)

* Fri Oct  9 16:39:18 -03 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.12.0-1
- Update to latest upstream release 0.12.0

* Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.1-1
- Update to latest upstream release 0.11.1 (#1883308)

* Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-1
- Update to latest upstream release 0.11.0 (#1881374)

* Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.2-1
- Update to latest upstream release 0.10.2 (#1875285)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 05 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-1
- Initial package for Fedora
